Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 219247 - null hotkey system config overridden by hardcoded defaults
Summary: null hotkey system config overridden by hardcoded defaults
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target SCIM 244761
TreeView+ depends on / blocked
 
Reported: 2006-12-12 04:19 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 01:23:56 UTC


Attachments (Terms of Use)

Description Jens Petersen 2006-12-12 04:19:43 UTC
Description of problem:
Next/previous factory hotkeys are only supposed to be defined for Chinese
locale by default, but actually get set for all locale.  This appear to
be a bug of initial-locale-hotkey-186861.patch.

Steps to Reproduce:
1. login as new user and start gedit
2. Try Ctrl+Shift+Release or Shift+Control+Release
  
Actual results:
IME (factory) changes no matter the locale.

Expected results:
Should only change for users starting in Chinese locale.

Comment 1 Jens Petersen 2006-12-12 23:14:51 UTC
Fixing in next scim build.

Comment 2 Jens Petersen 2006-12-15 08:38:40 UTC
This should be fixed in 1.4.5-7.fc7.


Note You need to log in before you can comment on or make changes to this bug.